# HttpRequest Class Reference
[Spring-like webflow tools]

List of all members.

## Public Member Functions

& | getGet ()
| getGetVar ($name)
| hasGetVar ($name)
| setGet (array $get)
| setGetVar ($name, $value)
& | getPost ()
| getPostVar ($name)
| hasPostVar ($name)
| setPost (array $post)
| setPostVar ($name, $value)
& | getServer ()
| getServerVar ($name)
| hasServerVar ($name)
| setServer (array $server)
| setServerVar ($name, $value)
& | getCookie ()
| getCookieVar ($name)
| hasCookieVar ($name)
| setCookie (array $cookie)
& | getSession ()
| getSessionVar ($name)
| hasSessionVar ($name)
| setFiles (array $files)
& | getFiles ()
| getFilesVar ($name)
| hasFilesVar ($name)
| setSession (array &$session)
| setAttachedVar ($name, $var)
& | getAttached ()
| getAttachedVar ($name)
| unsetAttachedVar ($name)
| hasAttachedVar ($name)
| getByType (RequestType $type)
| getHeaderList ()
| hasHeaderVar ($name)
| getHeaderVar ($name)
| unsetHeaderVar ($name)
| setHeaderVar ($name, $var)
| setHeaders (array $headers)
| setMethod (HttpMethod $method)
| getMethod ()
| setUrl (HttpUrl $url)
| getUrl ()

## Static Public Member Functions

static | create ()

## Private Attributes

| $get = array()
| $post = array()
| $server = array()
| $cookie = array()
| $session = array()
| $files = array()
| $attached = array()
| $headers = array()
| $method = null
| $url = null

## Detailed Description

Definition at line 15 of file HttpRequest.class.php.

## Member Function Documentation

static HttpRequest::create | ( |  | ) | `[static]`

Returns:
  HttpRequest

Definition at line 47 of file HttpRequest.class.php.

Referenced by OpenIdCredentials::__construct(), and OpenIdCredentials::loadXRDS().

& HttpRequest::getAttached | ( |  | ) |

Definition at line 239 of file HttpRequest.class.php.

Referenced by MethodMappedController::chooseAction().

HttpRequest::getAttachedVar | ( | $ | name | ) |

Definition at line 244 of file HttpRequest.class.php.

HttpRequest::getByType | ( | RequestType $ | type | ) |

Definition at line 264 of file HttpRequest.class.php.

References NamedObject::getName().

Referenced by MappedForm::importOne().

Here is the call graph for this function:

& HttpRequest::getCookie | ( |  | ) |

Definition at line 154 of file HttpRequest.class.php.

Referenced by CurlHttpClient::makeHandle().

HttpRequest::getCookieVar | ( | $ | name | ) |

Definition at line 159 of file HttpRequest.class.php.

& HttpRequest::getFiles | ( |  | ) |

Definition at line 204 of file HttpRequest.class.php.

HttpRequest::getFilesVar | ( | $ | name | ) |

Definition at line 209 of file HttpRequest.class.php.

& HttpRequest::getGet | ( |  | ) |

Definition at line 52 of file HttpRequest.class.php.

Referenced by MethodMappedController::chooseAction(), OpenIdConsumer::doContinue(), and CurlHttpClient::makeHandle().

HttpRequest::getGetVar | ( | $ | name | ) |

Definition at line 57 of file HttpRequest.class.php.

HttpRequest::getHeaderList | ( |  | ) |

Definition at line 269 of file HttpRequest.class.php.

Referenced by CurlHttpClient::makeHandle().

HttpRequest::getHeaderVar | ( | $ | name | ) |

Definition at line 279 of file HttpRequest.class.php.

HttpRequest::getMethod | ( |  | ) |

Returns:
  HttpMethod

Definition at line 323 of file HttpRequest.class.php.

Referenced by CurlHttpClient::makeHandle().

& HttpRequest::getPost | ( |  | ) |

Definition at line 86 of file HttpRequest.class.php.

Referenced by MethodMappedController::chooseAction(), and CurlHttpClient::makeHandle().

HttpRequest::getPostVar | ( | $ | name | ) |

Definition at line 91 of file HttpRequest.class.php.

& HttpRequest::getServer | ( |  | ) |

Definition at line 120 of file HttpRequest.class.php.

HttpRequest::getServerVar | ( | $ | name | ) |

Definition at line 125 of file HttpRequest.class.php.

Referenced by RouterHostnameRule::isSecureRequest(), RouterHostnameRule::match(), and RouterBaseRule::processPath().

& HttpRequest::getSession | ( |  | ) |

Definition at line 179 of file HttpRequest.class.php.

HttpRequest::getSessionVar | ( | $ | name | ) |

Definition at line 184 of file HttpRequest.class.php.

HttpRequest::getUrl | ( |  | ) |

Returns:
  HttpUrl

Definition at line 340 of file HttpRequest.class.php.

Referenced by CurlHttpClient::makeHandle().

HttpRequest::hasAttachedVar | ( | $ | name | ) |

Definition at line 259 of file HttpRequest.class.php.

HttpRequest::hasCookieVar | ( | $ | name | ) |

Definition at line 164 of file HttpRequest.class.php.

HttpRequest::hasFilesVar | ( | $ | name | ) |

Definition at line 214 of file HttpRequest.class.php.

HttpRequest::hasGetVar | ( | $ | name | ) |

Definition at line 62 of file HttpRequest.class.php.

HttpRequest::hasHeaderVar | ( | $ | name | ) |

Definition at line 274 of file HttpRequest.class.php.

HttpRequest::hasPostVar | ( | $ | name | ) |

Definition at line 96 of file HttpRequest.class.php.

HttpRequest::hasServerVar | ( | $ | name | ) |

Definition at line 130 of file HttpRequest.class.php.

Referenced by RouterHostnameRule::isSecureRequest(), RouterHostnameRule::match(), and RouterBaseRule::processPath().

HttpRequest::hasSessionVar | ( | $ | name | ) |

Definition at line 189 of file HttpRequest.class.php.

HttpRequest::setAttachedVar | ( | $ | name,
|  | $ | var |
| ) |  |  |

Returns:
  HttpRequest

Definition at line 232 of file HttpRequest.class.php.

Referenced by RouterRewrite::setRequestParams().

HttpRequest::setCookie | ( | array $ | cookie | ) |

Returns:
  HttpRequest

Definition at line 172 of file HttpRequest.class.php.

HttpRequest::setFiles | ( | array $ | files | ) |

Returns:
  HttpRequest

Definition at line 197 of file HttpRequest.class.php.

HttpRequest::setGet | ( | array $ | get | ) |

Returns:
  HttpRequest

Definition at line 70 of file HttpRequest.class.php.

HttpRequest::setGetVar | ( | $ | name,
|  | $ | value |
| ) |  |  |

Returns:
  HttpRequest

Definition at line 80 of file HttpRequest.class.php.

HttpRequest::setHeaders | ( | array $ | headers | ) |

Returns:
  HttpRequest

Definition at line 305 of file HttpRequest.class.php.

HttpRequest::setHeaderVar | ( | $ | name,
|  | $ | var |
| ) |  |  |

Returns:
  HttpRequest

Definition at line 296 of file HttpRequest.class.php.

HttpRequest::setMethod | ( | HttpMethod $ | method | ) |

Returns:
  HttpRequest

Definition at line 314 of file HttpRequest.class.php.

HttpRequest::setPost | ( | array $ | post | ) |

Returns:
  HttpRequest

Definition at line 104 of file HttpRequest.class.php.

HttpRequest::setPostVar | ( | $ | name,
|  | $ | value |
| ) |  |  |

Returns:
  HttpRequest

Definition at line 114 of file HttpRequest.class.php.

HttpRequest::setServer | ( | array $ | server | ) |

Returns:
  HttpRequest

Definition at line 138 of file HttpRequest.class.php.

HttpRequest::setServerVar | ( | $ | name,
|  | $ | value |
| ) |  |  |

Returns:
  HttpRequest

Definition at line 148 of file HttpRequest.class.php.

HttpRequest::setSession | ( | array &$ | session | ) |

Returns:
  HttpRequest

Definition at line 222 of file HttpRequest.class.php.

HttpRequest::setUrl | ( | HttpUrl $ | url | ) |

Returns:
  HttpRequest

Definition at line 331 of file HttpRequest.class.php.

HttpRequest::unsetAttachedVar | ( | $ | name | ) |

Returns:
  HttpRequest

Definition at line 252 of file HttpRequest.class.php.

HttpRequest::unsetHeaderVar | ( | $ | name | ) |

Returns:
  HttpRequest

Definition at line 287 of file HttpRequest.class.php.

## Member Data Documentation

HttpRequest::$attached = array()`[private]`

Definition at line 36 of file HttpRequest.class.php.

HttpRequest::$cookie = array()`[private]`

Definition at line 27 of file HttpRequest.class.php.

HttpRequest::$files = array()`[private]`

Definition at line 33 of file HttpRequest.class.php.

HttpRequest::$get = array()`[private]`

Definition at line 18 of file HttpRequest.class.php.

HttpRequest::$headers = array()`[private]`

Definition at line 38 of file HttpRequest.class.php.

HttpRequest::$method = null`[private]`

Definition at line 40 of file HttpRequest.class.php.

HttpRequest::$post = array()`[private]`

Definition at line 21 of file HttpRequest.class.php.

HttpRequest::$server = array()`[private]`

Definition at line 24 of file HttpRequest.class.php.

HttpRequest::$session = array()`[private]`

Definition at line 30 of file HttpRequest.class.php.

HttpRequest::$url = null`[private]`

Definition at line 42 of file HttpRequest.class.php.

The documentation for this class was generated from the following file:

- main/Flow/HttpRequest.class.php